logo
MarketplaceCreate rental order (async)

Create rental order (async)

Create order asynchronously. Returns job_id for status polling.

curl -X POST "https://api.gpuniq.com/v1/marketplace/order/async" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
  -d '{
  "agent_id": 123,
  "gpu_required": 42,
  "pricing_type": "example_string"
}'
{
  "data": {
    "job_id": "example_string"
  }
}
POST
/v1/marketplace/order/async
POST
Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Responses

dataobject